Subject: RE: [Ieprep] Preemption

From: "Gunn, Janet NE" <[email-masked]>
Date: Tue, 26 Mar 2002 18:28:11 -0500

To clarify- 
Yes it is a policy decision. 
The "network authority" may determine, a priori, the indicator settings
associated with each priority level- leaving no choice to the user.  Or it
may determine a range of settings that a particular user can chose from.
 
The question is, once the policy has been established, will the protocol
allow  (at a minimum) the indicators to be transported across the IP
network, and (preferably) can the IP network implement the actions
associated with the indicators?

-----Original Message-----
From: James M. Polk [mailto:[email-masked]]
Sent: Tuesday, March 26, 2002 6:01 PM
To: Gunn, Janet NE; [email-masked]'; Ken Carlberg
Cc: [email-masked]
Subject: RE: [Ieprep] Preemption

At 04:05 PM 3/26/2002 -0500, Gunn, Janet NE wrote: 

It may be a bit more complicated than that.  
 
I am not sure about MLPP, but in eMLPP there are THREE indicators (in
addition to level):
Queueing allowed/Queueing NOT allowed
CAN pre-empt a lower level call/CANNOT pre-empt a call
CAN be pre-empted by a higher level call/CANNOT be preempted by another
call, no matter what the priority.
 
Typically the "Ordinary" call has the lowest priority, but may neither
pre-empt, nor be pre-empted.

I believe *all* you listed above are policy decisions that are local in
nature. If left to the end-users, they would choose "cannot preempt" every
time. Perhaps this could be dealt with via user authentication as to whether
a call from that user is or is not allowed to be preempted....

It seems to me that there MAY be a need for all three indicators in the
context of an IP network also.

starting to get complicated with 3 indicators

The indicators MIGHT be tied directly to the level, but (especially if a
single IP network is transporting calls from more than one carrier) might
also be set on a call by call basis. So, it would be desirable for the
protocol to have a way of capturing all 3 indicators.
 
Janet 

-----Original Message----- 

*************************************
"People generally demand more respect for their own rights than they are
willing to allow for others"

James M. Polk
Consulting Engineer
Office of the CTO

Cisco Systems
2200 East President George Bush Turnpike 
Richardson, TX  75082 USA
w) 972.813.5208
f)  972.813.5280
www.cisco.com <http://www.cisco.com/>

---

From: "Stuart (Stu) Goldman" <[email-masked]>
Date: Wed, 27 Mar 2002 08:57:35 -0700

Janet,

I guess I had best ask the question.

From your wording below it would seem that the model in your mind is
that of a single network, The model in my mind is that a call may cross
a series of networks to reach the termination point. Each network in the
path may have a different policy in regard to preemption. The policy
would apply to the resources used in that particular network. Thus a
given call path could be the result of the policies expressed in each
network through which the call progressed.

Could then a call preempt in network 1, but be prevented from preempting
in network 2, on its way toward termination in network 3? This would of
course mean that a call had been preempted even though the priority call
was not successfully set up. I think the answer would be yes, and that
this would be acceptable.

"Gunn, Janet NE" wrote:

>  To clarify- Yes it is a policy decision. The "network authority" may
> determine, a priori, the indicator settings  associated with each
> priority level- leaving no choice to the user.  Or it may determine a
> range of settings that a particular user can chose from.The question
> is, once the policy has been established, will the protocol allow  (at
> a minimum) the indicators to be transported across the IP network, and
> (preferably) can the IP network implement the actions associated with
> the indicators?
>
>     > I am not sure about MLPP, but in eMLPP there are THREE
>     > indicators (in addition to level):
>     > CAN be pre-empted by a higher level call/CANNOT be
>     > preempted by another call, no matter what the priority.
>     >
>     > Typically the "Ordinary" call has the lowest priority, but
>     > may neither pre-empt, nor be pre-empted.
>
>
>      I believe *all* you listed above are policy decisions that
>      are local in nature. If left to the end-users, they would
>      choose "cannot preempt" every time. Perhaps this could be
>      dealt with via user authentication as to whether a call from
>      that user is or is not allowed to be preempted....
>
>
>     >
>     > It seems to me that there MAY be a need for all three
>     > indicators in the context of an IP network also.
>
>
>     > The indicators MIGHT be tied directly to the level, but
>     > (especially if a single IP network is transporting calls
>     > from more than one carrier) might also be set on a call by
>     > call basis. So, it would be desirable for the protocol to
>     > have a way of capturing all 3 indicators.
>     >
>     > Janet
>     >
>     >  "People generally demand more respect for their own rights
>     >          than they are willing to allow for others"
>     >
>     >  James M. Polk
>     > Consulting Engineer
>     > Office of the CTO
>     >
>     > Cisco Systems
>     > www.cisco.com